Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.p13n.content.document.ref
Class DefaultDocumentProvider

    java.lang.Object
      com.bea.p13n.content.document.ref.DefaultDocumentProvider

All Implemented Interfaces:
  DocumentProvider

Direct Known Subclasses:
  RefDocumentProvider

public abstract class DefaultDocumentProvider
extends Object
implements DocumentProvider

An abstract base implementation of a DocumentProvider.

This can be used by implementors as a starting point for writing a Doc Mgmt SPI implementation.

Since:
  2.0

Field Summary

Fields inherited from interface com.bea.p13n.content.document.spi.DocumentProvider
`TRANSACTION_NONE, TRANSACTION_READ_COMMITTED, TRANSACTION_READ_UNCOMMITTED, TRANSACTION_REPEATABLE_READ, TRANSACTION_SERIALIZABLE`

Constructor Summary
`DefaultDocumentProvider()` Deprecated.

Method Summary
`DocumentIterator` | `findDocumentIds(Search params)` Deprecated. Return the set of document ids which match the given search parameters.
`DocumentIterator` | `findDocumentMetadata(Search params)` Deprecated. To be removed when old expressions are removed.
`DocumentIterator` | `findDocuments(Search params)` Deprecated. To be removed when old expressions are removed.
`DocumentDef` | `getDocument(String id)` Deprecated. Return the Document with the given id.
`DocumentMetadataDef` | `getDocumentMetadata(String id)` Deprecated. Return the DocumentMetadata with the given id.
`Timestamp` | `getDocumentModifiedDate(String id)` Deprecated. Return the last modified date of the Document with the given id.
`int` | `getTransactionIsolation()` Deprecated. Get the document provider's current transaction isolation level.
`void` | `setTransactionIsolation(int level)` Deprecated. Set the document provider's transaction isolation level.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.bea.p13n.content.document.spi.DocumentProvider
`close, getSchema, getSchemaNames, getSchemas, init, reset`

Constructor Detail

### DefaultDocumentProvider

    public DefaultDocumentProvider()

  Deprecated.

Method Detail

### getTransactionIsolation

    public int getTransactionIsolation()
                                throws DocumentException

  Deprecated.
  Get the document provider's current transaction isolation level.

  Specified by:
    `getTransactionIsolation` in interface `DocumentProvider`
  Returns:
    TRANSACTION_NONE
  Throws:
    `DocumentException`

### setTransactionIsolation

    public void setTransactionIsolation(int level)
                                 throws DocumentException

  Deprecated.
  Set the document provider's transaction isolation level.

  This method does nothing.

  Specified by:
    `setTransactionIsolation` in interface `DocumentProvider`
  Throws:
    `DocumentException`

### findDocumentIds

    public DocumentIterator findDocumentIds(Search params)
                                     throws DocumentException

  Deprecated.
  Return the set of document ids which match the given search parameters.

  This will call `findDocumentMetadata(com.bea.p13n.content.expression.Search)` and extract the ids from the metadata.

  Specified by:
    `findDocumentIds` in interface `DocumentProvider`
  Parameters:
    `params` - the search parameters.
  Returns:
    the iterator of String document ids that match.
  Throws:
    `DocumentException` - thrown on an error.

### getDocumentMetadata

    public DocumentMetadataDef getDocumentMetadata(String id)
                                            throws DocumentException

  Deprecated.
  Return the DocumentMetadata with the given id.

  This uses `findDocumentMetadata(com.bea.p13n.content.expression.Search)` to do it.

  Specified by:
    `getDocumentMetadata` in interface `DocumentProvider`
  Parameters:
    `id` - the document id.
  Returns:
    the DocumentMetadataDef of the document with the given id, or null on unknown document id.
  Throws:
    `DocumentException` - thrown on an error.

### getDocument

    public DocumentDef getDocument(String id)
                            throws DocumentException

  Deprecated.
  Return the Document with the given id.

  This uses `findDocuments(com.bea.p13n.content.expression.Search)` to do it.

  Specified by:
    `getDocument` in interface `DocumentProvider`
  Parameters:
    `id` - the document id.
  Returns:
    the DocumentDef with the given id, or null on unknown document id.
  Throws:
    `DocumentException` - thrown on an error.

### getDocumentModifiedDate

    public Timestamp getDocumentModifiedDate(String id)
                                      throws DocumentException

  Deprecated.
  Return the last modified date of the Document with the given id.

  This uses `getDocumentMetadata(java.lang.String)` to do it.

  Specified by:
    `getDocumentModifiedDate` in interface `DocumentProvider`
  Parameters:
    `id` - the document id.
  Returns:
    the timestamp when the doc was last modified, or null if unknown or doesn't exist.
  Throws:
    `DocumentException`

### findDocuments

    public DocumentIterator findDocuments(Search params)
                                   throws DocumentException

  Deprecated. To be removed when old expressions are removed.

  Try to find the findDocuments(com.beasys.commerce.foundation.expression.Search) method and invoke it.

  Override this method to implement search based on new expressions.

  Specified by:
    `findDocuments` in interface `DocumentProvider`
  Parameters:
    `params` - the search parameters.
  Returns:
    the iterator of DocumentDefs that match the search.
  Throws:
    `DocumentException` - thrown on an error.

### findDocumentMetadata

    public DocumentIterator findDocumentMetadata(Search params)
                                          throws DocumentException

  Deprecated. To be removed when old expressions are removed.

  Try to find the findDocumentMetadata(com.beasys.commerce.foundation.expression.Search) method and invoke it.

  Override this method to implement search based on new expressions.

  Specified by:
    `findDocumentMetadata` in interface `DocumentProvider`
  Parameters:
    `params` - the search parameters.
  Returns:
    the iterator of DocumentMetadataDefs that match the search.
  Throws:
    `DocumentException` - thrown on an error.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2004 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved